package GenRGenS.master;

public class WrongNumberOfArgumentsException extends Exception
{
  private int _expected;
  private int _got;
  private String _objectName;
  
  public WrongNumberOfArgumentsException(int expected, int got, String objectName)
  {
    _expected = expected;
    _got = got;
    _objectName = objectName;
  }
  
  public String toString()
  {
    return "Expected "+_expected+" argument(s) but got "+_got+" argument(s) in "+_objectName;
  }
  
}